# Uses of Class
org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.AbstractConfigurationUI

Packages that use AbstractConfigurationUI
Package
Description
org.eclipse.emf.compare.rcp.ui.internal.configuration.ui
org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.match
org.eclipse.emf.compare.rcp.ui.internal.preferences.impl

## Uses of AbstractConfigurationUI in org.eclipse.emf.compare.rcp.ui.internal.configuration.ui

Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration.ui that return AbstractConfigurationUI
Modifier and Type
Method
Description
`AbstractConfigurationUI`
IConfigurationUIFactory.`createUI(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.jface.preference.IPreferenceStore store)`
Create an `AbstractConfigurationUI`

## Uses of AbstractConfigurationUI in org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.match

Subclasses of AbstractConfigurationUI in org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.match
Modifier and Type
Class
Description
`class`
`DefaultMatchEngineConfiguratorUI`
`AbstractConfigurationUI` for `DefaultRCPMatchEngineFactory`.
Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.match that return AbstractConfigurationUI
Modifier and Type
Method
Description
`AbstractConfigurationUI`
DefaultMatchEngineConfiguatorUIFactory.`createUI(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.jface.preference.IPreferenceStore store)`

## Uses of AbstractConfigurationUI in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl that return types with arguments of type AbstractConfigurationUI
Modifier and Type
Method
Description
`Map<String,AbstractConfigurationUI>`
InteractiveUIContent.`getConfigurators()`